import React from 'react';
import { EngineInterface } from '@aomao/engine';
import 'antd/es/tooltip/style';
export declare type DropdownListItem = {
    key: string;
    icon?: React.ReactNode;
    content?: React.ReactNode | (() => React.ReactNode);
    hotkey?: boolean | string;
    isDefault?: boolean;
    title?: string;
    placement?: 'right' | 'top' | 'left' | 'bottom' | 'topLeft' | 'topRight' | 'bottomLeft' | 'bottomRight' | 'leftTop' | 'leftBottom' | 'rightTop' | 'rightBottom';
    className?: string;
    disabled?: boolean;
    command?: {
        name: string;
        args: Array<any>;
    } | Array<any>;
    autoExecute?: boolean;
};
export declare type DropdownListProps = {
    engine?: EngineInterface;
    direction?: 'vertical' | 'horizontal';
    name: string;
    items: Array<DropdownListItem>;
    values: string | Array<string>;
    className?: string;
    onSelect?: (event: React.MouseEvent, key: string) => void | boolean;
    hasDot?: boolean;
};
declare const DropdownList: React.FC<DropdownListProps>;
export default DropdownList;
