import React from 'react';
import { EngineInterface } from '@aomao/engine';
import { ButtonProps } from '../button';
import { DropdownProps } from '../dropdown';
import { ColorButtonProps } from '../color';
import { CollapseProps as CollapseButtonProps } from '../collapse';
import 'antd/es/popover/style';
import './index.css';
export declare type GroupButtonProps = {
    type: 'button';
} & Omit<ButtonProps, 'engine'>;
export declare type GroupDropdownProps = {
    type: 'dropdown';
} & Omit<DropdownProps, 'engine'>;
export declare type GroupColorProps = {
    type: 'color';
} & Omit<ColorButtonProps, 'engine'>;
export declare type CollapseProps = {
    type: 'collapse';
} & Omit<CollapseButtonProps, 'engine'>;
export declare type GroupProps = {
    engine: EngineInterface;
    items: Array<GroupButtonProps | GroupDropdownProps | GroupColorProps | CollapseProps>;
    icon?: React.ReactNode;
    content?: React.ReactNode | (() => React.ReactNode);
};
declare const ToolbarGroup: React.FC<GroupProps>;
export default ToolbarGroup;
