import React from 'react';
import { EngineInterface } from '@aomao/engine';
import { fontFamilyDefaultData, fontfamily } from './config/toolbar';
import { ButtonProps, DropdownProps, ColorProps, CollapseProps } from './types';
import ToolbarPlugin, { ToolbarComponent } from './plugin';
import { CollapseGroupProps } from './collapse/group';
import { CollapseItemProps } from './collapse/item';
import './index.css';
declare type ToolbarItemProps = ButtonProps | DropdownProps | ColorProps | CollapseProps;
declare type GroupItemDataProps = {
    icon?: React.ReactNode;
    content?: React.ReactNode | (() => React.ReactNode);
    items: Array<ToolbarItemProps | string>;
};
declare type GroupItemProps = Array<ToolbarItemProps | string | (Omit<CollapseProps, 'groups'> & {
    groups: Array<Omit<CollapseGroupProps, 'items'> & {
        items: Array<Omit<CollapseItemProps, 'engine'> | 'string'>;
    }>;
})> | GroupItemDataProps;
export declare type ToolbarProps = {
    engine: EngineInterface;
    items: Array<GroupItemProps>;
    className?: string;
};
declare const Toolbar: React.FC<ToolbarProps>;
export default Toolbar;
export { ToolbarPlugin, ToolbarComponent, fontFamilyDefaultData, fontfamily };
