import React from 'react';
import { EngineInterface, NodeInterface } from '@aomao/engine';
import { CollapseGroupProps } from '../../collapse/group';
export declare type Options = {
    onCancel?: () => void;
    onSelect?: (event: React.MouseEvent, name: string) => void;
};
export interface CollapseComponentInterface {
    select(index: number): void;
    scroll(direction: 'up' | 'down'): void;
    unbindEvents(): void;
    bindEvents(): void;
    remove(): void;
    render(container: NodeInterface, target: NodeInterface, data: Array<CollapseGroupProps>): void;
}
declare class CollapseComponent implements CollapseComponentInterface {
    private engine;
    private root?;
    private otpions;
    private readonly SCOPE_NAME;
    constructor(engine: EngineInterface, options: Options);
    handlePreventDefault: (event: Event) => false | undefined;
    select(index: number): void;
    scroll(direction: 'up' | 'down'): void;
    unbindEvents(): void;
    bindEvents(): void;
    remove(): void;
    render(container: NodeInterface, target: NodeInterface, data: Array<CollapseGroupProps>): void;
}
export default CollapseComponent;
